This forum is no longer active. Please post your questions to our new community site

Xapian installation

Subscribe to Xapian installation 3 post(s), 2 voice(s)

Avatar jeromefandor 2 post(s)

Hi, i have been trying to run a cms application in the rubystack v 2.0.3.

The CMS requires certain libraries and gems; some i managed to get them installed but I’m stuck in the installation of xapian.

I am running on ubuntu9.1 – 32 bit, and when i try “rake blank:install RAILS_ENV=development —trace”

i get this:

(in /home/user/rubystack-2.0-3/apps/blank)
acts_as_xapian: No Ruby bindings for Xapian installed

  • Invoke blank:install (first_time)
  • Invoke environment (first_time)
  • Execute environment
    rake aborted!
    no such file to load - bullet


I installed the xapian lib from source to /common/lib.

The ruby bindings to xapian should be in ./rubystack/ruby/lib/ruby/1.8 ?

i’d appreciate your help on this.


Avatar Beltrán Rueda Administrator 3,714 post(s)


Could you post the compilation details of Xapian? Did you configure the sources with the “—prefix” option?

Avatar jeromefandor 2 post(s)


Hi, yes i configured to install to ./common/lib. but i could not get the ruby bindings to compile and install in the stack.

I installed from the ububtu repositories, and copied into the stack, now it works. When i do

require ‘xapian’

i get a return result of ‘=>true’.

Unfortunately, the application i try to run still does not install nicely.